angular.module('focaModalEnviarMail')
    .factory('focaModalEnviarMailService', ['$http', 'API_ENDPOINT', function($http, API_ENDPOINT) {
        return {
            getBancos: function() {
                //TODO: Pasar filtro
                return $http.get(API_ENDPOINT.URL + '/banco');
            },
            imprimirComprobanteById: function(url, idComprobante) {
                return $http.get(API_ENDPOINT.URL + url + idComprobante , {
                    responseType: 'arraybuffer'
                });
            },
            enviarCorreo: function(url, options) {
                return $http.post(API_ENDPOINT.URL + url, options);
            },
        };
    }]);
